ZSNES(1)

VERSION 1.0

NAME
zSNES - Play Super Nintendo games on your Intel x86 or compatible PC.

SYNOPSIS
zsnes [-?] [-0] [-1 #] [-2 #] [-7] [-8] [-9] [-a] [-c] [-cb] [-cd] [-d] [-dd] [-e] [-f #] [-g #] [-h | -l] [-i] [-j] [-k #] [-m] [-n] [-o] [-om] [-p #] [-r #] [-s] [-sa] [-sn] [-t | -u] [-v #] [-w] [-y] [-z] <romname>

  -0
Disable color 0 modification in 256 (8-bit) color modes

-1 #/-2 #
    Not documented until I know for sure how this works on Linux.

-7  Disable SPC700 speedhack

-8  Force 8-bit sound

-9  Off by 1 line fix

-a  Turn on auto frame skip

-c  Scale to fit screen

-cb Remove Background Color in 256 (8-bit) color modes

-cc No image scale and center image in screen

-d  Start with debugger

-dd Disable sound DSP emulation

-e  Skip Enter key press at beginning

-f #
    Enable frame skipping, where # is a numerical value from 0-9

-g #
    Enable Gamme Correction, where # is a numerical value from 0-5. Default is 0

-h  Force HiROM. Cannot be used with -l

-i  Uninterleave ROM image

-j  Disable Mouse (Automatically turns off right mouse click)

-k #
    Set volume level, where # is a numerical value from 1-100

-l  Force LoROM. Cannot be used with -h

-m  Disable GUI

-n  Enable scanlines

-o  Enable FPU copy

-om Enable MMX copy

-p #
    Percentage of instructions to execute, where # is a numerical value from 50-150

-r #
    Set audio sampling rate, where # is one of: 0 = 8 KHz 1 = 11.025 KHz 2 = 22.05 KHz 3 = 44.1 KHz 4 = 16 KHz 5 = 32 KHz

-s  Enable SPC700/DSP emulation (i.e., sound)

-sa Show files with all extensions (*.*) in GUI. Default is to only show files with one of the extensions listed in romname

-sn Enable Snowy GUI background

-t  Force NTSC (60 Hz) timing. Cannot be used with -u

-u  Force PAL (50 Hz) timing. Cannot be used with -t

-v #
    Not documented unitl I know how this works under Linux

-w  Enable VSync

-y  Enable EAGLE (640x480x256 <8-bit> only) or Interpolation (640x480x65536 <16-bit> only)

-z  Enable Stereo Sound

romname
    Name of ROM to auto-load. romname is of the format filename.ext, where .ext is one of .SMC, .SFC, .SWC, .FIG, .058, .078, .1, .A, .USA, or .JAP

DESCRIPTION
zSNES is an emulator for the Super Nintendo video game console, written mostly in assembler by zsKnight and _Demo_ (who also works on ePSXe), with Pharos and Teuf as assistant coders.

FILES

zsnesl
    The main program.

zsnesl.cfg
    Where configuration settings are stored.

other
    I will list the rest of the major files as soon as I compile the Linux version.

SEE ALSO
zsnesgui(1) and zsnesfaq(1), neither of which happens to be written yet. (Hey, this is a work in progress.)

BUGS
As of 1.17b, the following are known bugs: In Tales of Phantasia, the emulator crashes during the scene when Dhaos is released from his seal. This can be circumvented by using certain GFX modes during that scene. (I'm not sure what they are for Linux yet, or if this problem even occurs.) Final Fantasy Mystic Quest does not work. (I don't know to what extent it doesn't work, I deleted the game because (IMO) it sucked, I have heard this from a bunch of people, including zsKnight.) An American Tale: Feivel Goes West does not work due to a bug in the HiROM/LoROM detection routines. (Works in current CVS tree.) **************** Many games that use special chips do not work, including but not limited to the following: SuperFX: - Dirt Trax FX - Winter Gold DSP-1 (and variants): - Pilotwings (mostly works with current CVS tree, some problems.) - Top Gear 3000 SDD-1: - Street Fighter Alpha 2 - Star Ocean (Dialog text is legible, in Linux CVS source, some graphics are legible.) Note: these games work, but all the graphics are illegible. (Except as noted for Star Ocean.) SPC7110: - Far East of Eden Zero (Works in current CVS tree.) SA-1: - Super Mario RPG: Legend of the Seven Stars (Mostly works, the status text on the level-up screen is not shown.) ****************

AUTHOR
This document was written by Mitchell Mebane (majm101@yahoo.com). The latest official version of this document (i.e., excluding betas) may always be found at the zSNES CVS page (zsnes.sourceforge.net). The authors of zSNES are:

  zsKnight
(zsknight@zsnes.com)

_Demo_
    (_demo_@zsnes.com)

Pharos
    (pharos@zsnes.com)

Teuf
    (Don't know if he has a zsnes.com email yet, if/when he does, it will probably be teuf@zsnes.com) Do not email them any ROM requests, or send any file attachments without their prior consent.

VERSION HISTORY

  Initial release.
zSNES manpage, version 0.5. Total characters: 5142.